Name:		cdaserver
Version:	0.3.2
Release:	%mkrel 5
URL:		http://www.xtreemos.org/
Group:		System/Cluster
License:	GPL
Source0:	cdaserver-%{version}.tar.bz2
Source1:	%{name}_sh
Source3:	cdaserver.sysconfig
Source4:	cdaserver.properties
Source11:	c3p0.jar
Source12:	hibernate3.jar
Source13:	mysql-connector-java.jar

BuildRequires:	junit java-1.7.0-icedtea-devel
BuildRequires:	log4j xvoms
Requires:	jakarta-commons-collections jakarta-commons-logging classpathx-mail antlr asm
Requires:	jmock1 dom4j geronimo-jta-1.0.1B-api cglib
Requires:	log4j xvoms
Requires:	bouncycastle => 1.39
Requires:       daemonize cdautil cdavo cdaxvomsutil
Requires:	cdaserver-jardeps
Requires(pre):  rpm-helper
Requires(post): rpm-helper
Requires(preun):rpm-helper
Requires(postun): rpm-helper
Summary:	XtreemOS CDA server
BuildArch:	noarch

%description
XtreemOS CDA server

%package jardeps
Summary:        cdaserver Jars deps
Group:          System/Cluster
%description jardeps
cdaserver jar dependencies

%prep
%setup -q

%build
#./linkjars
mkdir test
ant compile
ant dist

%install
%{__rm} -Rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__mkdir_p} %{buildroot}%{_sysconfdir}/xos/config/%name
%{__mkdir_p} %{buildroot}%{_logdir}/%name
%{__mkdir_p} %{buildroot}%{_var}/lib/cdauser
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__install} -d %{buildroot}%{_initrddir}
%{__install} -d %{buildroot}%{_sysconfdir}/xos/config/%name/

cp -a dist/%name-%version.jar %{buildroot}/%{_javadir}/

cp -a %{SOURCE1} %{buildroot}/%{_bindir}/%name
cp -a %{SOURCE11} %{buildroot}/%{_javadir}/
cp -a %{SOURCE12} %{buildroot}/%{_javadir}/
cp -a %{SOURCE13} %{buildroot}/%{_javadir}/

%{__install} -m0644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/xos/config/%name/cdaserver.properties

%{__install} -m0755 bin/%name %{buildroot}%{_initrddir}/%name
%{__install} -m0644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/sysconfig/%name

%{__install} -m0755 bin/revoke-certificates %{buildroot}/%{_bindir}/revoke-certificates
%{__install} -m0755 bin/create-crl %{buildroot}/%{_bindir}/create-crl
cp -v conf/* %{buildroot}%{_sysconfdir}/xos/config/cdaserver

touch %{buildroot}%{_logdir}/%name/cdaserver.log

%clean
%{__rm} -Rf %{buildroot}

%pre 
%_pre_useradd cdauser %{_var}/lib/cdauser /bin/sh

%post 
%_post_service %name
ln -sf %{_javadir}/%name-%version.jar %{_javadir}/%name.jar

%preun
%_preun_service %name

%postun
%_postun_userdel cdauser
rm -f %{_javadir}/%name.jar

%files
%doc README AUTHORS INSTALL docs/
%defattr(-,root,root)
%{_javadir}/%name-%version.jar
%attr(0755,cdauser,cdauser) %dir %{_logdir}/%name/cdaserver.log
%attr(0700,cdauser,cdauser) %dir %{_var}/lib/cdauser
%attr(0755,root,root) %{_bindir}/%name
%config(noreplace) %{_sysconfdir}/sysconfig/%name
%attr(0755,root,root) %{_initrddir}/%name
%{_datadir}/%name/
%{_bindir}/*
%{_sysconfdir}/xos/config/cdaserver

%files jardeps
%defattr(-,root,root)
%{_javadir}/mysql-connector-java*
%{_javadir}/c3p0*
%{_javadir}/hibernate3.jar
